/* System-dependent timing definitions.  Linux/MIPS version.
   Copyright (C) 1996 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the GNU C Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

#ifdef __need_timeval
# undef __need_timeval
# ifndef _STRUCT_TIMEVAL
#  define _STRUCT_TIMEVAL	1
/* A time value that is accurate to the nearest
   microsecond but also has a range of years.  */
struct timeval
  {
    long tv_sec;			/* Seconds.  */
    long tv_usec;		/* Microseconds.  */
  };
# endif	/* struct timeval */
#endif	/* need timeval */


#ifndef _TIMEBITS_H
#define	_TIMEBITS_H	1

/*
 * These *will* go away!
 */
#ifdef __USE_MISC
#define        DST_NONE        0       /* not on dst */
#define        DST_USA         1       /* USA style dst */
#define        DST_AUST        2       /* Australian style dst */
#define        DST_WET         3       /* Western European dst */
#define        DST_MET         4       /* Middle European dst */
#define        DST_EET         5       /* Eastern European dst */
#define        DST_CAN         6       /* Canada */
#define        DST_GB          7       /* Great Britain and Eire */
#define        DST_RUM         8       /* Rumania */
#define        DST_TUR         9       /* Turkey */
#define        DST_AUSTALT     10      /* Australian style with shift in 1986 */
#endif /* __USE_MISC */

#include <asm/param.h>
#define CLOCKS_PER_SEC HZ	/* XXX names not kosher */

#endif	/* timebits.h */
